Package org.kapott.hbci.comm

## Class PinTanProxyAuthenticator

- java.lang.Object
- - java.net.Authenticator
  - - org.kapott.hbci.comm.PinTanProxyAuthenticator

    public class PinTanProxyAuthenticator
    extends java.net.Authenticator

### Nested Class Summary

### Nested classes/interfaces inherited from class java.net.Authenticator

`java.net.Authenticator.RequestorType`

### Constructor Summary

Constructors
`PinTanProxyAuthenticator​(HBCIPassportInternal passport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.net.PasswordAuthentication` `getPasswordAuthentication()`

### Methods inherited from class java.net.Authenticator

`getDefault, getRequestingHost, getRequestingPort, getRequestingPrompt, getRequestingProtocol, getRequestingScheme, getRequestingSite, getRequestingURL, getRequestorType, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthentication, requestPasswordAuthenticationInstance, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PinTanProxyAuthenticator

    public PinTanProxyAuthenticator​(HBCIPassportInternal passport)

### Method Detail

#### getPasswordAuthentication

    protected java.net.PasswordAuthentication getPasswordAuthentication()

Overrides:
  `getPasswordAuthentication` in class `java.net.Authenticator`